curl --request GET \
--url 'https://app.teable.ai/api/share/%7BshareId%7D/view/aggregations?ignoreViewQuery=SOME_STRING_VALUE&filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&filterLinkCellCandidate=fldXXXXXXX&filterLinkCellCandidate=recXXXXXXX&filterLinkCellSelected=fldXXXXXXX&filterLinkCellSelected=recXXXXXXX&selectedRecordIds=SOME_ARRAY_VALUE&groupBy=SOME_STRING_VALUE&field=SOME_OBJECT_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"createdBy": "<string>",
"createdTime": "<string>",
"columnMeta": {},
"description": "<string>",
"order": 123,
"options": {
"fieldNameDisplayLines": 2,
"frozenColumnCount": 1,
"frozenFieldId": "<string>"
},
"sort": {
"sortObjs": [
{
"fieldId": "<string>"
}
],
"manualSort": true
},
"filter": {},
"group": [
{
"fieldId": "<string>"
}
],
"isLocked": true,
"shareId": "<string>",
"enableShare": true,
"shareMeta": {
"allowCopy": true,
"includeHiddenField": true,
"password": "<string>",
"includeRecords": true,
"submit": {
"allow": true,
"requireLogin": true
}
},
"lastModifiedBy": "<string>",
"lastModifiedTime": "<string>",
"pluginId": "<string>"
}
]Get share viewaggregations
Get share view aggregations
curl --request GET \
--url 'https://app.teable.ai/api/share/%7BshareId%7D/view/aggregations?ignoreViewQuery=SOME_STRING_VALUE&filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&filterLinkCellCandidate=fldXXXXXXX&filterLinkCellCandidate=recXXXXXXX&filterLinkCellSelected=fldXXXXXXX&filterLinkCellSelected=recXXXXXXX&selectedRecordIds=SOME_ARRAY_VALUE&groupBy=SOME_STRING_VALUE&field=SOME_OBJECT_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"createdBy": "<string>",
"createdTime": "<string>",
"columnMeta": {},
"description": "<string>",
"order": 123,
"options": {
"fieldNameDisplayLines": 2,
"frozenColumnCount": 1,
"frozenFieldId": "<string>"
},
"sort": {
"sortObjs": [
{
"fieldId": "<string>"
}
],
"manualSort": true
},
"filter": {},
"group": [
{
"fieldId": "<string>"
}
],
"isLocked": true,
"shareId": "<string>",
"enableShare": true,
"shareMeta": {
"allowCopy": true,
"includeHiddenField": true,
"password": "<string>",
"includeRecords": true,
"submit": {
"allow": true,
"requireLogin": true
}
},
"lastModifiedBy": "<string>",
"lastModifiedTime": "<string>",
"pluginId": "<string>"
}
]Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
When a viewId is specified, configure this to true will ignore the view's filter, sort, etc
"{field} = 'Completed' AND {field} > 5"
A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.
Search for records that match the specified field and value
1 elementFilter out the records that can be selected by a given link cell from the relational table. For example, if the specified field is one to many or one to one relationship, recordId for which the field has already been selected will not appear.
2 elements["fldXXXXXXX", "recXXXXXXX"]Filter out selected records based on this link cell from the relational table. Note that viewId, filter, and orderBy will not take effect in this case because selected records has it own order. Ignoring recordId gets all the selected records for the field
2 elements["fldXXXXXXX", "recXXXXXXX"]Filter selected records by record ids
An array of group objects that specifies how the records should be grouped.
Show child attributes
Show child attributes
Response
Returns aggregations list of share view.
grid, calendar, kanban, form, gallery, plugin A mapping of view IDs to their corresponding column metadata.
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

